Page MenuHomePhabricator

Alignment, space and shadow in language selector
Closed, ResolvedPublic

Description

BeforeAfter

There are at least 4 problems evident in the above screenshot:

  1. There is no whitespace between the "Edit links" link and the "16 more" button.
  2. The arrow for the pop-up dialog doesn't line up with "16 more" button.
  3. There is no whitespace between the magnifying glass and the edge of the pop-up dialog.
  4. The pop-up dialog has a drop shadow but the arrow doesn't.

This screenshot was taken in Firefox 45, but it looks the same in Chrome and Safari. URL is https://en.wikipedia.org/wiki/Nadiya_Savchenko while logged in.

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterCorrect the position the arrow of selector and add shadow
mediawiki/extensions/UniversalLanguageSelector : masterAdd left and right padding for search header of compact ULS
mediawiki/extensions/UniversalLanguageSelector : masterCompact links: Add margin to the bottom of n more button

Event Timeline

kaldari created this task.Mar 22 2016, 4:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2016, 4:25 PM
kaldari updated the task description. (Show Details)Mar 22 2016, 4:27 PM
kaldari updated the task description. (Show Details)

There is no whitespace between the magnifying glass and the edge of the pop-up dialog.

This may be related to T85997: Language selector search and close icons misplaced

What is the "Interlanguage interface"?

Nemo_bis renamed this task from Interlanguage interface is a mess to Alignment, space and shadow in language selector.Mar 25 2016, 8:29 AM
Nemo_bis triaged this task as Low priority.

I removed an unexplained dependency.

@Nemo_bis: Unless you're actually going to work on this bug (or are managing people that are), please do not set the priority.

kaldari raised the priority of this task from Low to Needs Triage.Apr 4 2016, 9:36 PM

Change 281593 had a related patch set uploaded (by Santhosh):
Add left and right padding for search header of compact ULS

https://gerrit.wikimedia.org/r/281593

santhosh claimed this task.Apr 5 2016, 4:54 AM
santhosh triaged this task as Medium priority.

Change 281594 had a related patch set uploaded (by Santhosh):
Compact links: Add margin to the bottom of n more button

https://gerrit.wikimedia.org/r/281594

Change 281595 had a related patch set uploaded (by Santhosh):
Correct the vertical poosition the arrow of selector and add shadow

https://gerrit.wikimedia.org/r/281595

After correcting the arrow.
LTR:


RTL

Change 281594 merged by jenkins-bot:
Compact links: Add margin to the bottom of n more button

https://gerrit.wikimedia.org/r/281594

Change 281593 abandoned by Nikerabbit:
Add left and right padding for search header of compact ULS

Reason:
Done in I52215676f20b

https://gerrit.wikimedia.org/r/281593

Change 281595 merged by jenkins-bot:
Correct the position the arrow of selector and add shadow

https://gerrit.wikimedia.org/r/281595

Nemo_bis removed a subscriber: Nemo_bis.Apr 7 2016, 5:05 PM

Screenshot from http://en.wikipedia.beta.wmflabs.org/wiki/Aquarium. As far as I can see all the reported issues have been fixed.

Nikerabbit updated the task description. (Show Details)
Nikerabbit moved this task from QA to Done on the Language-Q4-2016-Sprint 1 board.

Screenshot from http://en.wikipedia.beta.wmflabs.org/wiki/Aquarium. As far as I can see all the reported issues have been fixed.

This is great. However, the size of the magnifying glass icon seems a bit unbalanced with respect to the text.
I created a separate ticket for this: T132424: Adjust the magnifying glass icon on the language selector

kaldari closed this task as Resolved.Apr 13 2016, 3:04 AM

Nice work guys! That's a big improvement.